package cn.com.tenlion.systembase.pojo.vos.lrs;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: LrsVO
 * @Description: 综治领导责任制
 * @Author: CodeFactory
 * @Date: 2021-10-11 17:25:26
 * @Version: 3.0
 **/
@ApiModel
public class LrsVO {

    @ApiModelProperty(name = "lrsAreaName", value = "被实施地区")
    @CheckEmptyAnnotation(name = "被实施地区")
    private String lrsAreaName;
    @ApiModelProperty(name = "lrsAreaLevelId", value = "被实施地区层级ID")
    @CheckEmptyAnnotation(name = "被实施地区层级")
    private String lrsAreaLevelId;
    @ApiModelProperty(name = "lrsAreaLevelText", value = "被实施地区层级中文")
    private String lrsAreaLevelText;
    @ApiModelProperty(name = "lrsSubjectName", value = "实施主体名称")
    @CheckEmptyAnnotation(name = "实施主体名称")
    private String lrsSubjectName;
    @ApiModelProperty(name = "lrsSubjectLevelId", value = "实施主体等级ID")
    @CheckEmptyAnnotation(name = "实施主体等级")
    private String lrsSubjectLevelId;
    @ApiModelProperty(name = "lrsSubjectLevelText", value = "实施主体等级中文")
    private String lrsSubjectLevelText;
    @ApiModelProperty(name = "lrsPolicyTypeId", value = "政策种类ID")
    @CheckEmptyAnnotation(name = "政策种类")
    private String lrsPolicyTypeId;
    @ApiModelProperty(name = "lrsPolicyTypeText", value = "政策种类中文")
    private String lrsPolicyTypeText;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;

    public String getLrsAreaName() {
        return lrsAreaName == null ? "" : lrsAreaName.trim();
    }

    public void setLrsAreaName(String lrsAreaName) {
        this.lrsAreaName = lrsAreaName;
    }

    public String getLrsAreaLevelId() {
        return lrsAreaLevelId == null ? "" : lrsAreaLevelId.trim();
    }

    public void setLrsAreaLevelId(String lrsAreaLevelId) {
        this.lrsAreaLevelId = lrsAreaLevelId;
    }

    public String getLrsAreaLevelText() {
        return lrsAreaLevelText == null ? "" : lrsAreaLevelText.trim();
    }

    public void setLrsAreaLevelText(String lrsAreaLevelText) {
        this.lrsAreaLevelText = lrsAreaLevelText;
    }

    public String getLrsSubjectName() {
        return lrsSubjectName == null ? "" : lrsSubjectName.trim();
    }

    public void setLrsSubjectName(String lrsSubjectName) {
        this.lrsSubjectName = lrsSubjectName;
    }

    public String getLrsSubjectLevelId() {
        return lrsSubjectLevelId == null ? "" : lrsSubjectLevelId.trim();
    }

    public void setLrsSubjectLevelId(String lrsSubjectLevelId) {
        this.lrsSubjectLevelId = lrsSubjectLevelId;
    }

    public String getLrsSubjectLevelText() {
        return lrsSubjectLevelText == null ? "" : lrsSubjectLevelText.trim();
    }

    public void setLrsSubjectLevelText(String lrsSubjectLevelText) {
        this.lrsSubjectLevelText = lrsSubjectLevelText;
    }

    public String getLrsPolicyTypeId() {
        return lrsPolicyTypeId == null ? "" : lrsPolicyTypeId.trim();
    }

    public void setLrsPolicyTypeId(String lrsPolicyTypeId) {
        this.lrsPolicyTypeId = lrsPolicyTypeId;
    }

    public String getLrsPolicyTypeText() {
        return lrsPolicyTypeText == null ? "" : lrsPolicyTypeText.trim();
    }

    public void setLrsPolicyTypeText(String lrsPolicyTypeText) {
        this.lrsPolicyTypeText = lrsPolicyTypeText;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }
}
